# React Rich Text Editor

The package provides a simple rich text editor based on [Draft JS](https://facebook.github.io/draft-js/). It has image support thanks to [filepicker-js](https://www.npmjs.com/package/filepicker-js) package.

The editor is built with Semantic UI classes, you would have to provide the Semantics CSS by yourself.

It will export the content as Markdown

## Usage (Todo)

1. Install react-rte

```
npm install @bmgtech/react-rte-filepicker
```

2. Get a [Filepicker API Key](https://www.filestack.com/)
3. Import the component and use it, here is a simple example:

```jsx
import React from 'react';
import RichTextEditor from 'react-rte-filepicker';

class Posts extends React.Component {
  constructor(props) {
    super(props);
  }

  handleSubmit(event) {
    event.preventDefault();

    const { editorRef } = this.refs;
    const markdown = editorRef.getMarkdown();
    // Do something smart with the markdown
    console.log(markdown);
  }

  render() {
    return (
      <div>
        <h1>Posts</h1>
        <form className="ui form" onSubmit={this.handleSubmit.bind(this)}>
          <div className="field">
            <RichTextEditor
              ref="editorRef"
              filePickerKey="FILEPICKER_API_KEY"
            />
          </div>
          <button className="ui primary fluid button" type="submit">Submit</button>
        </form>
      </div>
    );
  }
}

export default Posts;

```

## Roadmap

- Accept filepicker configuration options
- Be more flexible about CSS frameworks (maybe accept css classes as props)
- Improve UX

## License

MIT
